For Developers
Create Publishable Key
POST https://ed.link/api/v2/teams/:team_id/applications/:application_id/publishable-keys
Generates a new client-safe publishable key for the application.
Permissions
Requires the publishable_keys.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:application_id | UUID | Yes | The ID of the application. |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
name | String | No | Label for the key (defaults to Publishable Key). |
Sample Request
const response = await axios.post(
`https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/publishable-keys`,
{
name: "Web Widget Client Key"
},
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "fe75b1b2-2c56-4c4b-a7a1-80048da6b24f",
"created_date": "2024-01-15T08:00:00.000Z",
"name": "Web Widget Client Key",
"key": "pk_live_67b84f...d19"
}
}
